<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <template class="GcalMonthCell" parent="AdwBin">
    <property name="hexpand">True</property>
    <property name="vexpand">True</property>
    <property name="focusable">True</property>
    <child>
      <object class="GtkOverlay" id="overlay">

        <child type="overlay">
          <object class="GtkBox" id="header_box">
            <property name="valign">start</property>
            <property name="spacing">6</property>
            <property name="margin-top">6</property>
            <property name="margin-start">6</property>
            <property name="margin-end">6</property>
            <child>
              <object class="GtkLabel" id="day_label">
                <style>
                  <class name="day-label" />
                </style>
              </object>
            </child>

            <!-- Weather forecast -->
            <child>
              <object class="GtkImage" id="weather_icon">
                <property name="pixel_size">16</property>
                <property name="margin-start">12</property>
                <style>
                  <class name="dim-label" />
                </style>
              </object>
            </child>

            <child>
              <object class="GtkLabel" id="temp_label">
                <style>
                  <class name="dim-label" />
                  <class name="temp-label" />
                </style>
              </object>
            </child>
          </object>
        </child>

        <child type="overlay">
          <object class="GtkButton" id="overflow_button">
            <property name="valign">end</property>
            <signal name="clicked" handler="overflow_button_clicked_cb" object="GcalMonthCell" swapped="no" />
            <style>
              <class name="flat" />
            </style>
            <child>
              <object class="GtkBox">
                <child>
                  <object class="GtkLabel" id="overflow_label">
                    <property name="ellipsize">end</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
